Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index.lucene.analysis
Class SimpleLuceneAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.crosswire.jsword.index.lucene.analysis.AbstractBookAnalyzer
              org.crosswire.jsword.index.lucene.analysis.SimpleLuceneAnalyzer

All Implemented Interfaces:
  Closeable

    public class SimpleLuceneAnalyzer

extends AbstractBookAnalyzer

Simple Analyzer providing same function as org.apache.lucene.analysis.SimpleAnalyzer This is intended to be the default analyzer for natural language fields. Additionally performs: Normalize Diacritics (Changes Accented characters to their unaccented equivalent) for ISO 8859-1 languages Note: Next Lucene release (beyond 2.2.0) will have a major performance enhancement using method - public TokenStream reusableTokenStream(String fieldName, Reader reader) We should use that. Ref: https://issues.apache.org/jira/browse/LUCENE-969

Author:
  Sijo Cherian
See Also:
  `The GNU Lesser General Public License for details.`

Field Summary

Fields inherited from class org.crosswire.jsword.index.lucene.analysis.AbstractBookAnalyzer
`book, doStemming, doStopWords, stopSet`

Fields inherited from class org.apache.lucene.analysis.Analyzer
`overridesTokenStreamMethod`

Constructor Summary
`SimpleLuceneAnalyzer()`

Method Summary
`org.apache.lucene.analysis.TokenStream` | `tokenStream(String fieldName, Reader reader)`

Methods inherited from class org.crosswire.jsword.index.lucene.analysis.AbstractBookAnalyzer
`getBook, getDoStopWords, setBook, setDoStemming, setDoStopWords, setStopWords`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setOverridesTokenStreamMethod, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleLuceneAnalyzer

    public SimpleLuceneAnalyzer()

Method Detail

### tokenStream

    public org.apache.lucene.analysis.TokenStream tokenStream(String fieldName,
                                                              Reader reader)

  Specified by:
    `tokenStream` in class `org.apache.lucene.analysis.Analyzer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD